summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/kpowersave/debian/preinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
commit9b2075d9b89fc628c447fbb98f43ef72e4a9c81d (patch)
tree2de9e866f064b1c7d36df24de1df305474f949fe /ubuntu/maverick/applications/kpowersave/debian/preinst
downloadtde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.tar.gz
tde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.zip
Initial import from old SVN repository
Note that only the Debian and Ubuntu folders were preserved
Diffstat (limited to 'ubuntu/maverick/applications/kpowersave/debian/preinst')
-rw-r--r--ubuntu/maverick/applications/kpowersave/debian/preinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/kpowersave/debian/preinst b/ubuntu/maverick/applications/kpowersave/debian/preinst
new file mode 100644
index 000000000..b007ccf90
--- /dev/null
+++ b/ubuntu/maverick/applications/kpowersave/debian/preinst
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ install)
+ dpkg-divert --package $package_name --divert /etc/acpi/powerbtn.sh.distrib --rename /etc/acpi/powerbtn.sh
+ ;;
+ upgrade)
+ dpkg-divert --package $package_name --divert /etc/acpi/powerbtn.sh.distrib --rename /etc/acpi/powerbtn.sh
+ ;;
+ abort-upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0